#if !defined(AFX_MULTILINEEDITCTRL_H__E9851EF8_67A4_11D4_B8C4_B89F557B3443__INCLUDED_)
#define AFX_MULTILINEEDITCTRL_H__E9851EF8_67A4_11D4_B8C4_B89F557B3443__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MultiLineEditCtrl.h : header file

/////////////////////////////////////////////////////////////////////////////
// CMultiLineEditCtrl window

class CMultiLineEditCtrl : public CEdit
{
public:
	CMultiLineEditCtrl();
	virtual ~CMultiLineEditCtrl();

	BOOL SubclassDlgItem( UINT nID, CWnd *pParent,LPCTSTR lpszText = NULL);

	BOOL ReadFromFile( LPCTSTR lpszFileName);
	BOOL SaveToFile( LPCTSTR lpszFileName, BOOL bOverriteExisting = TRUE);

	BOOL operator=(LPCTSTR lpszText) {//setting new text
		return SetMultiLineText(lpszText);
	}
	BOOL operator=(CString &lpszText) {
		return SetMultiLineText(lpszText);
	}
	BOOL LoadFromResource( UINT uResourceName);
	CString GetMultiText();

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMultiLineEditCtrl)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CMultiLineEditCtrl)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
protected:
	static DWORD dwMultiLineStyle;
	void Serialize(CArchive& ar, UINT nLen);
	BOOL SetMultiLineText( LPCTSTR lpszText);
	BOOL GetMultiLineText( CString &rString);

protected:

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MULTILINEEDITCTRL_H__E9851EF8_67A4_11D4_B8C4_B89F557B3443__INCLUDED_)
