#if !defined(AFX_STATICLOGO_H__CCA3DF23_252B_11D4_B8C4_E44C2D88A85E__INCLUDED_)
#define AFX_STATICLOGO_H__CCA3DF23_252B_11D4_B8C4_E44C2D88A85E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticLogo.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStaticLogo window

class CStaticLogo : public CStatic
{
public:
	CStaticLogo(LPCTSTR lpText = NULL);
	~CStaticLogo() { }

	// Use this if you want to subclass and also set different URL
	BOOL SubclassDlgItem(UINT nID, CWnd* pParent, LPCTSTR lpszText = NULL) {
		if (lpszText)
			SetLogoText(lpszText);
		return CStatic::SubclassDlgItem(nID, pParent);
	}
	void SetLogoText(LPCTSTR strText) {
		m_strText = strText;
	}

	//{{AFX_VIRTUAL(CStaticLogo)
	protected:
	virtual void PreSubclassWindow();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CStaticLogo)
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG

	BOOL SetLogoFont(CString Name, int nHeight = 28, int nWeight = FW_BOLD,
		BYTE bItalic = true, BYTE bUnderline = false);

	DECLARE_MESSAGE_MAP()
protected:
	static UINT dwStyle;

protected:
	COLORREF	m_color;
	CFont	  m_font;	    // underline font for text control
	CString  m_strText;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICLOGO_H__CCA3DF23_252B_11D4_B8C4_E44C2D88A85E__INCLUDED_)
