#if !defined(AFX_STATICPICTURE_H__E9851EE0_67A4_11D4_B8C4_B89F557B3443__INCLUDED_)
#define AFX_STATICPICTURE_H__E9851EE0_67A4_11D4_B8C4_B89F557B3443__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StaticPicture.h : header file

#include "PictureMgr.h"

/////////////////////////////////////////////////////////////////////////////
// CStaticPicture window
class CStaticPicture : public CStatic
{
public:
	CStaticPicture();
	virtual ~CStaticPicture();

	BOOL SubclassDlgItem(UINT nID, CWnd* pParent);
	BOOL LoadFromResource( UINT uID, LPCTSTR lpResourceType = _T("JPEG")) {
		return mgr.LoadFromResource( MAKEINTRESOURCE(uID), lpResourceType);
	}
	BOOL LoadFromResource( LPCTSTR lpResourceName, LPCTSTR lpResourceType = _T("JPEG")) {
		return mgr.LoadFromResource( lpResourceName, lpResourceType);
	}

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStaticPicture)
	protected:
	virtual void PreSubclassWindow();
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

protected:
	static DWORD dwStyle;
	static DWORD dwExStyle;

protected:
	//{{AFX_MSG(CStaticPicture)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnPaint();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
protected:
	CPictureMgr  mgr;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATICPICTURE_H__E9851EE0_67A4_11D4_B8C4_B89F557B3443__INCLUDED_)
