#if !defined(AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_)
#define AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WindowTip.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWindowTip window
class CWindowTip : public CWnd
{
public:
	CWindowTip();
	~CWindowTip();
	void SetText( LPCTSTR lpszText = NULL);
	
	BOOL Create( CWnd* pParentWnd, UINT nID, int iTimeOfTip = 2000 , BOOL bTrackingMode = FALSE);
	BOOL StartWindow();
	BOOL EndWindow();

	//{{AFX_VIRTUAL(CWindowTip)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void PostNcDestroy();
	//}}AFX_VIRTUAL

protected:
	//{{AFX_MSG(CWindowTip)
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	void  MoveWindow();

	static CSize szOffset;// Tooltip position when tracking relative to cursor point (left and bottom)
	static CString strStandardTextAddition;
	//standard text to be appended in the end of the text string

	static UINT  uTimerInterval; //interval of timer 

protected:
	BOOL  CreateTimer();
	BOOL  StopTimer();
protected:
	CFont	m_font;		// font to use (same as tooltips)
	UINT	m_nStyle;	// style (see enum below)
	CSize  m_szMargins;	// extra space around text: change if you like
	CSize  m_ScreenSize;
	CString  strText;
	int   m_iAlignment;
	
//////////////// Timers and Counters ...
	UINT uTimerID;
	int iElapedTime;
	int iTimeOfTip;
////////////////////
private:
	CString strClassName; //class name

	BOOL bTrackingMode;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINDOWTIP_H__6FBABB23_1EA6_11D4_B8C4_D3B38107175D__INCLUDED_)
